#ifndef AUDIOJSON_H
#define AUDIOJSON_H

#include <QDebug>
#include <QFile>
#include <qjsondocument.h>
#include <qjsonobject.h>
#include <qbytearray.h>
#include <qstring.h>
#include <QSettings>
#include <QObject>
#include <syslog.h>

#define DEFAULT_AUDIO_DEV "default"

class UserConf : public QObject
{
    Q_OBJECT

public:
    UserConf(QObject *parent = nullptr);
    ~UserConf();

    QJsonValue readJson(QString username, QString jsonFile, QString key);
    void insertJson();

    QString readLightdmConf();
    QString readLastUser();

    // 配置文件对象
    QSettings *settings;
};

#endif // AUDIOJSON_H
